﻿using System.Text;
using System.Windows;

namespace ActiveReports_RtfTest01
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Encoding.RegisterProvider(CodePagesEncodingProvider.Instance);
            
            string file_name = @".\RdlReport1.rdlx";
            GrapeCity.ActiveReports.PageReport pageReport = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo(file_name));
            GrapeCity.ActiveReports.Document.PageDocument pageDocument = new GrapeCity.ActiveReports.Document.PageDocument(pageReport);

            pageDocument.Parameters["ou"].CurrentValue = "aa"; // Assigning a value to report's parameter through code. 

            arViewer.LoadDocument(pageDocument); // Loading the rendered reportDocument in the viewer to preview. This document can also be used to export the report.
        }
    }
}
